# react-app

This is a basic list app right now.

Functionality:

- Check added characters count is more than 0 & less than 281
- Enable button on above condition
- Show character count
- Add content to list on submit

## Dec 4

Changelog:

- added new dom for testing - working
- tried to move card to new component - didnt work - reverted - will work on this
- added bootstrap, removed component wise different css

## Dec 9

Changelog:

- tried to move card to new component - didnt work - reverted - wont work
- used fetch to call api and get task list from json placeholder
- append fetched data to existing task list
- if data is fetched disable fetch button
- used 'componentDidMount' to fetch data automatically (when component mounts) - commented right now

## Dec 10

Changelog:

- added pwa - working on push notification

## Dec 11

Changelog:

- added push notification
- started working on delete button

## Dec 12

Changelog:

- delete button working
- done button working
- design changed to 3 columns on desktop

# Project moved to github personal account [here](https://github.com/imsmit/my-react-apps)
